## org.apache.mahout.clustering.streaming.mapreduce
Class StreamingKMeansThread

    java.lang.Object
      org.apache.mahout.clustering.streaming.mapreduce.StreamingKMeansThread

All Implemented Interfaces:
  Callable<Iterable<Centroid>>

    public class StreamingKMeansThread

extends Object
implements Callable<Iterable<Centroid>>

Constructor Summary
`StreamingKMeansThread(Iterable<Centroid> dataPoints, org.apache.hadoop.conf.Configuration conf)`
`StreamingKMeansThread(org.apache.hadoop.fs.Path input, org.apache.hadoop.conf.Configuration conf)`

Method Summary
`Iterable<Centroid>` `call()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamingKMeansThread

    public StreamingKMeansThread(org.apache.hadoop.fs.Path input,
                                 org.apache.hadoop.conf.Configuration conf)

### StreamingKMeansThread

    public StreamingKMeansThread(Iterable<Centroid> dataPoints,
                                 org.apache.hadoop.conf.Configuration conf)

Method Detail

### call

    public Iterable<Centroid> call()

  Specified by:
    `call` in interface `Callable<Iterable<Centroid>>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.